Package org.gradle.testing.jacoco.tasks

# Class JacocoReport

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.testing.jacoco.tasks.JacocoBase
org.gradle.testing.jacoco.tasks.JacocoReportBase
org.gradle.testing.jacoco.tasks.JacocoReport

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Reporting<JacocoReportsContainer>`, `Task`, `Configurable<Task>`

@CacheableTask public abstract class JacocoReport extends JacocoReportBase implements Reporting<JacocoReportsContainer>
Task to generate HTML, Xml and CSV reports of Jacoco coverage data.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JacocoReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `generate()`
  `abstract Property<String>`
  `getReportProjectName()`
  The reported project name.
  `JacocoReportsContainer`
  `getReports()`
  Returns the reports to be generated by this task.
  `protected abstract WorkerExecutor`
  `getWorkerExecutor()`
  `JacocoReportsContainer`
  `reports(Closure closure)`
  Configures the reports to be generated by this task.
  `JacocoReportsContainer`
  `reports(Action<? super JacocoReportsContainer> configureAction)`
  Allow configuration of the report container by closure.

  ### Methods inherited from class org.gradle.testing.jacoco.tasks.JacocoReportBase

  `additionalClassDirs, additionalClassDirs, additionalSourceDirs, additionalSourceDirs, executionData, executionData, executionData, getAdditionalClassDirs, getAdditionalSourceDirs, getAllClassDirs, getAllSourceDirs, getClassDirectories, getExecutionData, getInstantiator, getObjectFactory, getSourceDirectories, getSourceEncoding, sourceSets`

  ### Methods inherited from class org.gradle.testing.jacoco.tasks.JacocoBase

  `getJacocoClasspath, setJacocoClasspath`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

  ### Methods inherited from interface org.gradle.api.internal.TaskInternal

  `buildFailureMessage, getProvenance`

- ## Constructor Details

  - ### JacocoReport

    public JacocoReport()

- ## Method Details

  - ### getReportProjectName

    @Input public abstract Property<String> getReportProjectName()
    The reported project name.
    Returns:
      the reported project name
    Since:
      6.4

  - ### getReports

    public JacocoReportsContainer getReports()
    Returns the reports to be generated by this task.
    Specified by:
      `getReports` in interface `Reporting<JacocoReportsContainer>`
    Returns:
      The report container

  - ### reports

    public JacocoReportsContainer reports(Closure closure)
    Configures the reports to be generated by this task.
    Specified by:
      `reports` in interface `Reporting<JacocoReportsContainer>`
    Parameters:
      `closure` - The configuration
    Returns:
      The report container

  - ### reports

    public JacocoReportsContainer reports(Action<? super JacocoReportsContainer> configureAction)
    Description copied from interface: `Reporting`
    Allow configuration of the report container by closure.

         reports {
           html {
             required false
           }
           xml.outputLocation = "build/reports/myReport.xml"
         }

    Specified by:
      `reports` in interface `Reporting<JacocoReportsContainer>`
    Parameters:
      `configureAction` - The configuration
    Returns:
      The report container

  - ### getWorkerExecutor

    @Inject protected abstract WorkerExecutor getWorkerExecutor()

  - ### generate

    public void generate()